package com.futu.course.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.course.minio.service.impl.FileServiceImpl;
import com.futu.course.user.domain.User;
import com.futu.course.user.service.UserService;
import com.futu.course.user.mapper.UserMapper;
import io.minio.errors.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

/**
* @author yuu
* @description 针对表【user(用户表)】的数据库操作Service实现
* @createDate 2025-05-05 18:52:53
*/
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService{
    @Autowired
    private FileServiceImpl fileService;
    public String unload(MultipartFile multipartFile,@RequestParam("uid") Long uid) throws ServerException, InvalidBucketNameException, InsufficientDataException, ErrorResponseException, IOException, NoSuchAlgorithmException, InvalidKeyException, InvalidResponseException, XmlParserException, InternalException {
        User byId = this.getById(uid);
        String s = fileService.uploadImage(multipartFile);
        byId.setAvatar(s);
        boolean b = this.updateById(byId);
       return b?"修改成功":"修改失败";
    }
}




